Subject: Re: XML::LibXML with perl dies trying to remap cygxml2-2.dll
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 4 Nov 2002 07:30:46 +0100

Hallo James,

Am Dienstag, 24. September 2002 um 21:31 schriebst du:

> I am running Cygwin 1.3.12 on Windows 2000 Professional Ver 5.0 Build 2195 
> Service Pack 3.  I am having a problem using the Perl package XML::LibXML 
> (version 1.52 installed -- I was unable to get version 1.53 to install). I 
> have narrowed the problem down to a nice reproducable case:

> $ perl -e 'print `echo today`'
> today

> $ perl -e 'require XML::LibXML; print `echo today`'
> C:\cygwin\bin\perl.exe: *** unable to remap C:\cygwin\bin\cygxml2-2.dll to 
> same address as parent -- 0x1A2F0000
>      27 [main] perl 1932 sync_with_child: child 528(0xF4) died before 
> initialization with status code 0x1
>    5582 [main] perl 1932 sync_with_child: *** child state child loading 
> dlls

> With the XML::LibXML library loaded, the backquotes are unable to spawn a 
> subprocess.  I am running perl v5.6.1 built for cygwin-multi with the 
> libxml2 (2.4.23-1) library installed.

> How can I work around this problem?

Sorry for replying that late.

You need to rebase the DLL's which are causing problems,
please search the archives about rebasing, at least see
this message:
http://sources.redhat.com/ml/cygwin/2002-07/msg00276.html
Get rebase:
http://www.tishler.net/jason/software/rebase/

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/